{
  onDamagingHit(damage, target, source, move) {
  	if (this.checkMoveMakesContact(move, source, target)) {
      if (this.randomChance(3, 10)) {
        source.trySetStatus('frz', target);
      }
  	}
  },
  onWeather(target, source, effect) {
  	if (effect.id === 'hail' || effect.id === 'snow') {
  		this.heal(target.baseMaxhp / 16);
  	}
  },
  onImmunity(type, pokemon) {
  	if (type === 'hail') return false;
  },
  flags: {},
  name: "Ice Body",
  rating: 2,
  num: 115,
}
